%define upstream_name    Catalyst-ActionRole-ACL
%define upstream_version 0.07

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    User role-based authorization action class
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Catalyst/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Catalyst::Controller::ActionRole)
BuildRequires: perl(Catalyst::Runtime) >= 5.900.130
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.360.0
BuildRequires: perl(Moose)
BuildRequires: perl(Test::More)
BuildRequires: perl(namespace::autoclean)
BuildArch:  noarch

%description
Provides a Catalyst::Controller::ActionRole for user role-based
authorization. ACLs are applied via the assignment of attributes to
application action subroutines.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Fri Oct 18 2013 umeabot <umeabot> 0.70.0-3.mga4
+ Revision: 509607
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.70.0-2.mga3
+ Revision: 363843
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Sep 10 2012 jquelin <jquelin> 0.70.0-1.mga3
+ Revision: 291603
- update to 0.07
- update to 0.06

* Wed Jan 26 2011 jquelin <jquelin> 0.50.0-1.mga1
+ Revision: 41008
- mageia rebuild
- imported package perl-Catalyst-ActionRole-ACL

